// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Mutant Hands
//

#include "g_local.h"
#include "mutanthands.h"

CLASS_DECLARATION( Fists, MutantHands, NULL );

ResponseDef MutantHands::Responses[] =
{
	{ NULL, NULL }
};

MutantHands::MutantHands()
{
#ifdef SIN_DEMO
	PostEvent( EV_Remove, 0 );
	return;
#endif
	SetModels( NULL, "view_mutanthands.def" );
	SetAmmo( NULL, 0, 0 );
	SetRank( 11, 11 );
	strike_reach  = 75;
	strike_damage = 100;
	SetMaxRange( strike_reach );
	SetType( WEAPON_MELEE );
	kick = 25;
	meansofdeath = MOD_MUTANTHANDS;
}

